İçeriğe geç

Grok Imagine Video 1.5 Lite Text to Video

Entegre et

Model kimliği xai/grok-imagine-video/v1.5/lite/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/v1.5/lite/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Örnekteki gibi dosyalar: $0,18 180 API kredisi dosyalarınız çalıştırmadan önce ölçülür Bu sayfada çalıştır

API anahtarı al
xAI Metinden Videoya Hızlı1–15 s1080p değerine kadar #text-to-video

1 ila 15 saniyelik klipler ve 1080p'ye kadar çözünürlüklerle Lite 1.5 metinden video

xAI · Video

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli 88 / 4096

Oluşturulacak videoyu belirten açıklama.

resolution varsayılan 720p

Çıktı videosunun çözünürlüğü.

aspect_ratio varsayılan 16:9

Ortaya çıkan videonun en-boy oranı.

varsayılan 6

Saniye cinsinden video uzunluğu.

Gelişmiş enable_safety_checker
POST /run/xai/grok-imagine-video/v1.5/lite/text-to-video?wait=20 fiyat → $0,18
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/xai/grok-imagine-video/v1.5/lite/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Grok Imagine Video 1.5 Lite Text to Video hakkında

En fazla 4096 karakterlik bir metin promptundan video üretir. `duration` 1 ila 15 saniye arasındadır (varsayılan 6); `resolution` 480p, 720p veya 1080p olabilir. En-boy oranları arasında 16:9 (varsayılan), 4:3, 3:2, 1:1, 2:3, 3:4 ve 9:16 bulunur. Yalnızca metinden daha yüksek çıktı çözünürlüğüne ihtiyaç duyduğunuzda seçin.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
≤ 4.096 karakter
Oluşturulacak videoyu belirten açıklama.
durationisteğe bağlı
Türinteger
Varsayılan6
1 – 15
Saniye cinsinden video uzunluğu.
resolutionisteğe bağlı
Türenum
Varsayılan720p
480p720p1080p
Çıktı videosunun çözünürlüğü.
aspect_ratioisteğe bağlı
Türenum
Varsayılan16:9
16:94:33:21:12:33:49:16
Ortaya çıkan videonun en-boy oranı.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Çağıran yetkiliyse false ayarlanarak tarama gevşetilebilir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-video/v1.5/lite/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 180,
    "usd": "0.18",
    "charged": 180,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "fps": 1.0,
      "duration": 5,
      "num_frames": 1
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
video
object {url, content_type, file_name, file_size, width, height, fps, duration, num_frames}Model tarafından üretilen video.

Daha fazla model: Metinden Videoya

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/xai/grok-imagine-video/v1.5/lite/text-to-video.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt